Page MenuHomePhabricator

Create fishbowl wiki for Wikimedia User Group China
Closed, ResolvedPublic

Description

Consensus Link:https://meta.wikimedia.org/w/index.php?title=Wikimedia_User_Group_China/Resolutions/Setup_Website_-_December_2014&oldid=12156892

subdomain: cn.wikimedia.org

Who can read it? : Public
Who can edit it? : Who has an account
Is account creation by approval only, or by anybody clicking on "create an account"? : by approval


Changes summary

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

The AffCom supports Wikimedia User Groups having access to resources such as this. Regarding the subdomain, we have previously decided that the acronyms assigned on the Meta list of all affiliates should be used as they generally remain consistent: https://meta.wikimedia.org/wiki/Wikimedia_movement_affiliates

-varnent
Vice Chair, AffCom

Dereckson added a comment.EditedMay 15 2015, 10:13 AM

Thanks @Varnent to settle this issue.

Okay, the logo matter and subdomain are now settled.

Do you need the Translate extension to provide zh/en bilingual content or are you going to focus on zh?

Let's revisit also the fishbowl issue please to be sure we have well identified your needs. You said the site "will be a user group members only.". Yes, but the question were more why this will be a user group members only, and not an open like 92% of other chapters/local groups hosted on the WMF cluster (23/25, the only exception being rs.wikimedia.org as fishbowl, and il.wikimedia.org as private)? If I understand the matter, you take wikimediafoundation.org as model to communicate wth the public?

Thanks @Varnent to settle this issue.
Okay, the logo matter and subdomain are now settled.
Do you need the Translate extension to provide zh/en bilingual content or are you going to focus on zh?
Let's revisit also the fishbowl issue please to be sure we have well identified your needs. You said the site "will be a user group members only.". Yes, but the question were more why this will be a user group members only, and not an open like 92% of other chapters/local groups hosted on the WMF cluster (23/25, the only exception being rs.wikimedia.org as fishbowl, and il.wikimedia.org as private)? If I understand the matter, you take wikimediafoundation.org as model to communicate wth the public?

We will stay in Chinese.

It's a way for us to define the membership. The website will be also a collaborating area for our projects, with the function as you mentioned like wikimediafoundation.org. And the communication with the public will be the major use of the website.

The AffCom supports Wikimedia User Groups having access to resources such as this. Regarding the subdomain, we have previously decided that the acronyms assigned on the Meta list of all affiliates should be used as they generally remain consistent: https://meta.wikimedia.org/wiki/Wikimedia_movement_affiliates
-varnent
Vice Chair, AffCom

Thanks for the effective and quick response.

How do say "Wikimedia User Group China" in Chinese? (I can see it on the logo, but I don't see it on meta. as text I can copy/paste in the configuration.)

How do say "Wikimedia User Group China" in Chinese? (I can see it on the logo, but I don't see it on meta. as text I can copy/paste in the configuration.)

Here: 中国维基媒体用户组
I should have that on meta.

Change 211103 had a related patch set (by Dereckson) published:
WIP: cn.wikimedia.org initial configuration

https://gerrit.wikimedia.org/r/211103

Here we go with the initial wiki configuration proposal:

  • Site title: 中国维基媒体用户组
  • Language code: zh
  • Timezone: Asia/Shanghai
  • Configuration: fishbowl, s3, small, wikimedia
  • Canonical URL: https://cn.wikimedia.org
  • Extensions enabled: Echo, Securepoll

Here we go with the initial wiki configuration proposal:

  • Site title: 中国维基媒体用户组
  • Language code: zh
  • Timezone: Asia/Shanghai
  • Configuration: fishbowl, s3, small, wikimedia
  • Canonical URL: https://cn.wikimedia.org
  • Extensions enabled: Echo, Securepoll

This is my first time using phabricator, would you mind telling me how does this going to be processed?

  1. We need to prepare the initial wiki configuration. A first draft to review with sensible options is done, and open for improvement if you have any specific need/requirement (namespaces, extensions, user group rights, etc.). Once, this is considered acceptable by everyone, this will be ready to deploy.
  2. The second step is the proper deployment and wiki creation. They are documented at https://wikitech.wikimedia.org/wiki/Add_a_wiki if you're curious about the different steps.
  3. The wiki is then live. We review together if all seems to work fine and if additional tweaking is required.

We're currently at step 1. You can confirm you're happy with these default settings or give feedback about what else should be configured.

Step 2 won't ask any involvement from your side, it's handled fully at ops-side.

For step 3, you will be able to comment on Phabricator "All works fine." or "This, this, this and that are required."

Change 211109 had a related patch set uploaded (by Dereckson):
Added cn.wikimedia.org

https://gerrit.wikimedia.org/r/211109

Change 211112 had a related patch set uploaded (by Dereckson):
Added cn.wikimedia.org in Apache vhosts configuration

https://gerrit.wikimedia.org/r/211112

Dereckson updated the task description. (Show Details)May 15 2015, 12:02 PM
  1. We need to prepare the initial wiki configuration. A first draft to review with sensible options is done, and open for improvement if you have any specific need/requirement (namespaces, extensions, user group rights, etc.). Once, this is considered acceptable by everyone, this will be ready to deploy.
  2. The second step is the proper deployment and wiki creation. They are documented at https://wikitech.wikimedia.org/wiki/Add_a_wiki if you're curious about the different steps.
  3. The wiki is then live. We review together if all seems to work fine and if additional tweaking is required.

We're currently at step 1. You can confirm you're happy with these default settings or give feedback about what else should be configured.
Step 2 won't ask any involvement from your side, it's handled fully at ops-side.
For step 3, you will be able to comment on Phabricator "All works fine." or "This, this, this and that are required."

That is truly helpful! Thank you! I'm happy with the settings

@greg Could we have a window to create this wiki? Configuration changes (Apache, DNS, config) are ready (I have noone to suggest for this one, it seems last wiki were created by @Dzahn).

Dereckson updated the task description. (Show Details)May 15 2015, 12:47 PM
Krenair added a comment.EditedMay 15 2015, 3:21 PM
  • Extensions enabled: Securepoll

Note that SecurePoll is default on all wikis (except wikitech, login). Echo technically needs additional actions to enable at the moment, but should be assumed on for new wiki creations.

This is my first time using phabricator, would you mind telling me how does this going to be processed?

Wiki creation requests are very rare and not like most tasks (typically just used to record bugs) - experience using Phabricator will not tell you anything about how this process works.

This comment was removed by Krenair.

@greg Could we have a window to create this wiki? Configuration changes (Apache, DNS, config) are ready (I have noone to suggest for this one, it seems last wiki were created by @Dzahn).

Let's wait for Operations to do https://gerrit.wikimedia.org/r/#/c/211109/ and https://gerrit.wikimedia.org/r/#/c/211112/ - then we can get a window for deployment of the config part.

greg added a comment.May 15 2015, 3:32 PM

I'll check the policy and get back to you here.

Just confirming: @Slaporte: you're all good here?

See his next comment...

I'll check the policy and get back to you here.

Just confirming: @Slaporte: you're all good here?

Yes, this is consistent with policy. Thanks for confirming.

@greg Could we have a window to create this wiki? Configuration changes (Apache, DNS, config) are ready (I have noone to suggest for this one, it seems last wiki were created by @Dzahn).

Let's wait for Operations to do https://gerrit.wikimedia.org/r/#/c/211109/ and https://gerrit.wikimedia.org/r/#/c/211112/ - then we can get a window for deployment of the config part.

I don't really understand all this process, but wondering how long may it take?

I'll check the policy and get back to you here.

Just confirming: @Slaporte: you're all good here?

Yes, this is consistent with policy. Thanks for confirming.

Your guys are super effective, thank you!

@greg Could we have a window to create this wiki? Configuration changes (Apache, DNS, config) are ready (I have noone to suggest for this one, it seems last wiki were created by @Dzahn).

Let's wait for Operations to do https://gerrit.wikimedia.org/r/#/c/211109/ and https://gerrit.wikimedia.org/r/#/c/211112/ - then we can get a window for deployment of the config part.

I don't really understand all this process, but wondering how long may it take?

There is no schedule if that's what you mean. It will happen if the right people approve the right changes and run the right scripts on the servers.

@greg Could we have a window to create this wiki? Configuration changes (Apache, DNS, config) are ready (I have noone to suggest for this one, it seems last wiki were created by @Dzahn).

Let's wait for Operations to do https://gerrit.wikimedia.org/r/#/c/211109/ and https://gerrit.wikimedia.org/r/#/c/211112/ - then we can get a window for deployment of the config part.

I don't really understand all this process, but wondering how long may it take?

There is no schedule if that's what you mean. It will happen if the right people approve the right changes and run the right scripts on the servers.

Okay~ even more confused though

What's confusing?

What's confusing?

Well I guess it need to go through some process.

I'm just confused about who is the right the person. Not a big problem.

What's confusing?

Well I guess it need to go through some process.
I'm just confused about who is the right the person. Not a big problem.

There's not a single person who can deal with these. It'd probably be a bad thing if only one person was able to create new wikis. :)
They require changes at different levels: pointing the domain to WMF servers, setting the servers up to know how to serve the domain, configuring the MediaWiki side, and actually creating the wiki database.

Dereckson added a comment.EditedMay 15 2015, 4:37 PM

(You know, the manual current formulation lets think DNS/Apache configuration and actual deployment/configuration could be accomplished in the same window, as it enumerates a series of steps in logical order with instructions like "do this, run this, be careful at that" with a single you. It could be interesting to note the different teams responsible of the different steps.)

I updated that documentation a few months back and it still needs lots of love to be perfect (see T87588). :) Feel free to update it.

Change 211109 merged by Dzahn:
add cn.wikimedia.org and cn.m.wikimedia.org

https://gerrit.wikimedia.org/r/211109

These explanations make a lot of sense to me! Thank you all!

Change 211112 merged by Dzahn:
Added cn.wikimedia.org in Apache vhosts configuration

https://gerrit.wikimedia.org/r/211112

Dzahn added a comment.May 20 2015, 3:38 PM

now added in Apache, next would be installing the wiki

http://cn.wikimedia.org/

Dzahn updated the task description. (Show Details)May 20 2015, 3:39 PM

Add a wiki says:

"Tell the Ops list, springle, or Coren that this is happening so the sanitarium can be prepared."

at the very top. So i guess we should do this next. Added springle and Coren for this step.

coren added a subscriber: jcrespo.May 20 2015, 5:13 PM

Creating a wiki and having it replicated in Labs may be thought of as an independent step that can be done at any point afterwards; the note about Sanitarium is mostly there for the "normal" project wikis so they do not end up forgotten.

That said, I'm not sure if we replicate fishbowl wikis as a rule? If this one is okay to replicate, either @Springle or @jcrespo can do that step.

Krenair added a comment.EditedMay 20 2015, 5:16 PM

Yes, we should be replicating all WMF publicly-visible wikis to labs, @coren. There's only one such wiki that's not replicated to labs, and I have a ticket open for it.

Hey guys! Thank you a lot for all these work. I guess it already in the end of the process? I'm not sure. Is there anything that I can do?

@greg: can I please have a deployment window tomorrow after the morning SWAT? I'll finish this, it's just a couple of config patches + a couple of maintenance scripts, shouldn't take long.

Krenair updated the task description. (Show Details)May 25 2015, 11:37 PM

Change 211094 abandoned by Alex Monk:
Imported logo for Wikimedia User Group China

Reason:
Squashed into I65226618

https://gerrit.wikimedia.org/r/211094

greg added a comment.May 26 2015, 9:32 AM

@greg: can I please have a deployment window tomorrow after the morning SWAT? I'll finish this, it's just a couple of config patches + a couple of maintenance scripts, shouldn't take long.

yep, doit.

Will Wikimedia and Wikimedia_talk be fine for project and project talk namespace? Or should something else be used?

It will be fine.

Change 211103 merged by jenkins-bot:
cn.wikimedia.org initial configuration

https://gerrit.wikimedia.org/r/211103

Krenair closed this task as Resolved.May 26 2015, 5:18 PM
Krenair claimed this task.

After running into some interesting undocumented hacks in our MWMultiVersion, and various other issues (some caused by me, some not), I've now managed to complete this.

Dzahn added a comment.May 26 2015, 5:22 PM

Creating a wiki and having it replicated in Labs may be thought of as an independent step that can be done at any point afterwards; the note about Sanitarium is mostly there for the "normal" project wikis so they do not end up forgotten.
That said, I'm not sure if we replicate fishbowl wikis as a rule? If this one is okay to replicate, either @Springle or @jcrespo can do that step.

This is now T100441. Meanwhile the docs say "This can be fixed after the wiki creation, but it is more painful/involves custom queries. "

Creating a wiki and having it replicated in Labs may be thought of as an independent step that can be done at any point afterwards; the note about Sanitarium is mostly there for the "normal" project wikis so they do not end up forgotten.
That said, I'm not sure if we replicate fishbowl wikis as a rule? If this one is okay to replicate, either @Springle or @jcrespo can do that step.

This is now T100441. Meanwhile the docs say "This can be fixed after the wiki creation, but it is more painful/involves custom queries. "

It is not a blocker, specially in this particular case- I will take care of it tomorrow.

Krenair reopened this task as Open.May 26 2015, 5:26 PM

Something is wrong. The database exists and yet: "Unknown database 'cnwikimedia' (10.64.16.20)" on the signup page

I fixed this by manually creating the database on x1-master, but I am not 100% sure this will work. It seems that the installation script failed for x1- It may be related to T94427 ?

Krenair closed this task as Resolved.May 26 2015, 6:54 PM

Seems to work, I created my user page. I've also sent a message to @AddisWang to organise creating their account.

(The account was created and a steward assigned them sysop so other users can be created without sysadmin intervention.)

@AddisWang Would you check your meta talk page please?

Just to note that steward don't have accounts on the wiki, so we are limited in our ability to assist.

Stewards have 'createaccount' right globally so signing up with
Special:CreateAccount will work, I think.

Not a major concern, that was more a note.

Doesn't autocreate, presumably due to fishbowl, and at that point once you are on the outer, there is no means for a page to create an account. [[Special:CreateAccount]] is inactive due to the fishbowl setting.

You do not have permission to create this user account, for the following reason:
The action you have requested is limited to users in the group: Administrators.

No, stewards can't create themselves accounts on fishbowls - they can't even log in. These sites aren't running CentralAuth, so the only thing they can really do is use MediaWiki's built in cross-wiki rights editor to add/remove groups on existing accounts there.

Do you have mail server that we can use as xx@cn.wikimedia.org, or we can find outside service provider?

I think that's technically possible, but you should make a new ticket about it and CC me there so we can work out how it would work and who needs to do/approve it etc.

no, we never offer that to chapters.

you need to find your own provider and use your own domain name.

"Never" is a bit of a strong word. For example, we have OTRS queues. And, of course, past practice shouldn't necessarily dictate future behavior: Wikimedia certainly has mail servers capable of handling additional aliases or mailboxes if there's a legitimate need. I agree that a separate task is warranted.

@jeremyb, @Krenair, @AddisWang: Would a mailing on lists.wikimedia.org work? I'll create a ticket for it if it works.

jeremyb added a comment.EditedMay 31 2015, 2:31 PM

Would a mailing on lists.wikimedia.org work? I'll create a ticket for it if it works.

to clarify xx@cn.wikimedia.org could mean many things. I think you haven't said which you're interested in.

If you want an alias (or set of aliases) @cn.wikimedia.org that just forwards to some other address then the answer is probably no. If you want a mailbox (or set of mailboxes) with POP3/IMAP access then the answer is definitely not going to happen. (no matter the domain)

There are a number of scenarios where you might use a mailman list (which would be @lists.wikimedia.org not @cn.wikimedia.org). Can't advise if that would be appropriate for you if we don't know the intended use.

Is it really so hard to create a new ticket and stop bothering people on this one?

I'll make a new ticket, after having a discussion with other members.

Restricted Application added a project: Traffic. · View Herald TranscriptAug 23 2017, 5:26 PM